#ifndef _BOARD_XT16_H
#define _BOARD_XT16_H
/****************************************************************************
                              Copyright (c) 2009
                            Lantiq Deutschland GmbH
                     Am Campeon 3; 85579 Neubiberg, Germany

  For licensing information, see the file 'LICENSE' in the root folder of
  this software module.

 ****************************************************************************
   Module      : board_xt16.h
   Description :
 ****************************************************************************
   \file board_xt16.h

   \remarks

   \note Changes:
*******************************************************************************/

/* ============================= */
/* Includes                      */
/* ============================= */

#include "device_vxt.h"
#include "lib_svip_rm.h"

/* ============================= */
/* Debug interface               */
/* ============================= */

/* ============================= */
/* Global Defines                */
/* ============================= */

/** Number of maximum supported PCM highways by RM. */
#define RM_XT16_NUM_HIGHWAYS     2

/* ============================= */
/* Global Variables              */
/* ============================= */

enum { SYSTEM_AM_DEFAULT_XT16 = 0 };

/* ============================= */
/* Global Structures             */
/* ============================= */

/* ============================= */
/* Global function declaration   */
/* ============================= */

IFX_int32_t BOARD_XT_16_Reset(BOARD_t* pBoard,
                              IFX_int32_t nArg,
                              IFX_boolean_t hSetReset);
IFX_return_t BOARD_XT_16_Register(BOARD_t* pBoard);
IFX_return_t BOARD_XT_16_FillChannels(BOARD_t* pBoard);
IFX_return_t BOARD_XT_16_PCM_ConfigSet(BOARD_t* pBoard,
                                       RM_SVIP_PCM_CFG_t* pcm_cfg);


IFX_return_t BXT16_FillChannels(BOARD_t* pBoard);
#endif /* _BOARD_XT16_H */

