
#ifndef _DEVICE_VXT_H
#define _DEVICE_VXT_H
/******************************************************************************

                              Copyright (c) 2009
                            Lantiq Deutschland GmbH
                     Am Campeon 3; 85579 Neubiberg, Germany

  For licensing information, see the file 'LICENSE' in the root folder of
  this software module.

  ****************************************************************************
   Module      : device_vxt.h
   Description :
 ****************************************************************************
   \file device_vxt.h

   \remarks
      
   \note Changes:
*******************************************************************************/

/* ============================= */
/* Includes                      */
/* ============================= */
#ifdef LINUX
#include "tapidemo_config.h"
#endif

#include "./itm/com_client.h"

#include "drv_vxt_io.h"
#include "drv_vxt_strerrno.h"

/* ============================= */
/* Debug interface               */
/* ============================= */

/* ============================= */
/* Global Defines                */
/* ============================= */

/* ============================= */
/* Global Variables              */
/* ============================= */
#ifdef USE_FILESYSTEM
extern IFX_char_t* sBBD_CRAM_File_VXT;
#endif /* USE_FILESYSTEM */

extern IFX_char_t* sCTRL_DEV_NAME_VXT;

extern VXT_IO_Init_t VxtDevInitStruct;
/* ============================= */
/* Global Structures             */
/* ============================= */

/* ============================= */
/* Global function declaration   */
/* ============================= */

IFX_return_t DEVICE_VXT_Register(TAPIDEMO_DEVICE_CPU_t* pCpuDevice);
IFX_return_t DEVICE_VXT_Init(BOARD_t* pBoard, IFX_char_t* pPath);
IFX_void_t DEVICE_VXT_DecodeErrnoForDrv(IFX_int32_t nCode);
IFX_return_t DEVICE_VXT_setupChannel(BOARD_t* pBoard, IFX_char_t* pPath);

#ifndef TD_USE_CHANNEL_INIT
IFX_return_t DEVICE_VXT_SetupChannelUseDevStart(BOARD_t* pBoard, IFX_char_t* pPath);
#endif /* TD_USE_CHANNEL_INIT */

#endif /* _DEVICE_VXT_H */

